# $Revision: 1.63 $, $Date: 2006/09/08 18:03:54 $
# TODO:
# - SECURITY: http://securitytracker.com/alerts/2004/Aug/1011016.html
# - COMPATIBILITY: check if works with webserver != apache and update R:
# - resolve problem with apache1 or apache2 icons directory...
# - no globs for suid/sgid files
# - rc-scripts service not restarted (should explain why not)
# - $HOSTNAME not present in all shells (see %%post)
%include	/usr/lib/rpm/macros.perl
Summary:	Sympa - a powerful multilingual List Manager with LDAP and SQL features
Summary(fr):	Sympa est un gestionnaire de listes lectroniques
Summary(pl):	Sympa - uyteczny, wielojzyczny zarzdca list z obsug LDAP i SQL
Name:		sympa
Version:	3.4.4.3
Release:	5
License:	GPL
Group:		Applications/Mail
Source0:	http://www.sympa.org/distribution/%{name}-%{version}.tar.gz
# Source0-md5:	60105b5041c61696815fc7ce4cb6f728
Source1:	%{name}-pl-3.3.5-020515.tar.bz2
# Source1-md5:	2a46fe55e877cc0a471507f8c93fbeab
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	%{name}.conf
Source5:	%{name}-www.conf
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-wwslib-pl.patch
Patch2:		%{name}-wwsympa.fcgi-editsubsciber.fix.patch
URL:		http://www.sympa.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(post):	fileutils
Requires(post):	grep
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	MHonArc >= 2.4.5
Requires:	perl-CGI >= 2.85
Requires:	perl-CGI-modules >= 2.52
Requires:	perl-DBI >= 1.06
Requires:	perl-DB_File >= 1.805
Requires:	perl-IO-stringy >= 1.0
Requires:	perl-Locale-Msgcat >= 1.03
Requires:	perl-MIME-Base64 >= 1.0
Requires:	perl-MIME-tools >= 5.209
Requires:	perl-MailTools >= 1.14
Requires:	perl-ldap >= 0.10
Requires:	rc-scripts
Requires:	webserver = apache
## Also requires a DBD for the DBMS
## (perl-DBD-Pg or Perl- Msql-Mysql-modules)
Requires:	openssl >= 0.9.7
Requires:	perl-Digest-MD5
Requires:	perl-FCGI >= 0.48
Provides:	group(sympa)
Provides:	user(sympa)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		home_s	/var/lib/sympa

%description
Sympa is scalable and highly customizable mailing list manager. It can
cope with big lists (100,000 subscribers) and comes with a complete
(user and admin) Web interface. It is internationalized, and supports
the us, fr, de, es, it, fi, and chinese locales. A scripting language
allows you to extend the behavior of commands. Sympa can be linked to
an LDAP directory or an RDBMS to create dynamic mailing lists. Sympa
provides S/MIME-based authentication and encryption.

Documentation is available under HTML and Latex (source) formats.

%description -l pl
Sympa jest skalowalnym i wysoko konfigurowalnym zarzdc pocztowych
list dyskusyjnych. Radzi sobie z duymi listami (100 000
subskrybentw) i przychodzi z penym (uytkownika i administratora)
interfejsem WWW. Jest zlokalizowany, obsuguje jzyki us, fr, de, es,
it, fi, zh. Jzyk skryptowy pozwala na rozszerzanie komend. Sympa moe
obsugiwa katalog LDAP lub relacyjne bazy danych do tworzenia
dynamicznych list. Obsuguje uwierzytelnianie i szyfrowanie oparte o
S/MIME.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-confdir=%{_sysconfdir}/sympa \
	--with-cgidir=%{home_s}/sbin \
	--with-iconsdir=/home/services/httpd/icons/sympa \
	--with-bindir=%{home_s}/bin \
	--with-sbindir=%{home_s}/sbin \
	--with-libexecdir=%{home_s}/bin \
	--with-libdir=%{home_s}/lib \
	--with-datadir=%{home_s}/etc \
	--with-expldir=%{home_s}/expl \
	--with-initdir=/etc/rc.d/init.d \
	--with-piddir=/var/run \
	--with-spooldir=/var/lib/sympa/spool \
	--with-perl=%{__perl} \
	--with-mhonarc=%{_bindir}/mhonarc \
	--with-user=sympa \
	--with-group=sympa \
	--with-sendmail_aliases=/etc/mail/sympa_aliases \
	--with-virtual_aliases=/etc/mail/sympa_virtual \
	--with-newaliases=%{_bindir}/newaliases \
	--with-postmap=%{_bindir}/postmap \
	--with-mandir=%{_mandir} \
	--with-nlsdir=/var/lib/sympa/nls \
	--with-scriptdir=%{home_s}/bin \
	--with-sampledir=/var/lib/sympa/sample \
	--with-etcdir=%{_sysconfdir}/sympa

%{__make} sources nls \
	DIR=%{home_s} \
	CONFIG=%{_sysconfdir}/sympa/sympa.conf \
	CVS2CL=%{_bindir}/cvs2cl.pl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig

perl -pi -e 's#chown.*root#chown \$(USER)#g' src/Makefile

%{__make} install \
	USER=$(id -u) \
	GROUP=$(id -g) \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/sympa
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/sympa
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/sympa/sympa.conf
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sympa/wwsympa.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 71 sympa
%useradd -u 71 -d %{home_s} -s /bin/false -c "sympa" -g sympa sympa

%triggerun -- %{name} <= 3.4.4.3-1
if [ `eval echo ~sympa` = /home/services/sympa ]; then
	/usr/sbin/usermod -d %{home_s} sympa ||:
fi

%post
/sbin/chkconfig --add sympa
# FIXME $HOSTNAME not present in all shells
# TODO: use sed
%{__perl} -pi -e "s|MYHOST|${HOSTNAME}|g" /etc/sympa/sympa.conf /etc/sympa/wwsympa.conf

# Setup log facility for Sympa
if [ -f /etc/syslog.conf ]; then
	# TODO: touch sysklogd.spec/syslog-ng/metalog.spec/..... instead
	if [ `grep -c sympa /etc/syslog.conf` -eq 0 ] ;then
		typeset -i cntlog
		cntlog=0
		while [ `grep -c local${cntlog} /etc/syslog.conf` -gt 0 ]; do
			cntlog=${cntlog}+1
		done
		if [ ${cntlog} -le 9 ];then
			echo "# added by sympa-3.0 rpm $(date)" >> /etc/syslog.conf
			echo "local${cntlog}.*       /var/log/sympa" >> /etc/syslog.conf
		fi
	fi
fi

# try to add some sample entries in /etc/aliases for sympa
for a_file in /etc/aliases /etc/postfix/aliases /etc/mail/sympa.aliases; do
	if [ -f ${a_file} ]; then
		if [ `grep -c sympa ${a_file}` -eq 0 ]; then
			cp -f ${a_file} ${a_file}.rpmorig
			echo >> ${a_file}
			echo "# added by sympa-3.0 rpm "$(date) >> ${a_file}
			if [ `grep -c listmaster ${a_file}` -eq 0 ]; then
				echo "# listmaster:root" >> ${a_file}
			fi
			echo "# sympa:\"|%{home_s}/bin/queue 0 sympa\"" >> ${a_file}
			echo "# sympa-request:listmaster@${HOSTNAME}" >> ${a_file}
			echo "# sympa-owner:listmaster@${HOSTNAME}" >> ${a_file}
			echo "" >> ${a_file}
#     /usr/bin/newaliases
		fi
	fi
done

# eventually, add queue to sendmail security shell
if [ -d /etc/smrsh ]; then
	if [ ! -e /etc/smrsh/queue ]; then
		ln -sf %{home_s}/bin/queue /etc/smrsh/queue
	fi
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del sympa
fi

%postun
if [ "$1" = "0" ]; then
	%userremove sympa
	%groupremove sympa
fi
if [ "$1" = "0" -a -d /etc/smrsh ]; then
	if [ -L /etc/smrsh/queue ]; then
		rm -f /etc/smrsh/queue
	fi
fi

%files
%defattr(644,root,root,755)
%doc [ACKNR]* doc/html

# needs fixing - don't use attr(-)!
%attr(755,sympa,sympa) %dir %{home_s}
%attr(755,sympa,sympa) %dir %{home_s}/bin
%attr(-,sympa,sympa) %{home_s}/bin/*.pl
%attr(-,sympa,sympa) %{home_s}/bin/create_db.*
%attr(4755,sympa,sympa) %{home_s}/bin/queue
%attr(4755,sympa,sympa) %{home_s}/bin/bouncequeue
%attr(4755,sympa,sympa) %{home_s}/bin/*wrapper

%attr(755,sympa,sympa) %dir %{home_s}/etc
%attr(-,sympa,sympa) %{home_s}/etc/*
%attr(755,sympa,sympa) %dir %{home_s}/expl
#%attr(  -,sympa,sympa) %{home_s}/expl/*

%attr(755,sympa,sympa) %dir %{home_s}/lib
%attr(755,sympa,sympa) %dir %{home_s}/lib/Marc
%attr(-,sympa,sympa) %{home_s}/lib/Marc/*
%attr(-,sympa,sympa) %{home_s}/lib/*.pm
%attr(-,sympa,sympa) %{home_s}/lib/*.pl

%attr(755,sympa,sympa) %dir %{home_s}/nls
%attr(-,sympa,sympa) %{home_s}/nls/*.msg
%attr(755,sympa,sympa) %dir %{home_s}/sample
%attr(-,sympa,sympa) %{home_s}/sample/*

%attr(755,sympa,sympa) %dir %{home_s}/sbin
%attr(-,sympa,sympa) %{home_s}/sbin/*.pl
%attr(-,sympa,sympa) %{home_s}/sbin/wwsympa.fcgi

%attr(755,sympa,sympa) %dir %{home_s}/spool
%attr(744,sympa,sympa) %dir %{home_s}/spool/*

%dir /home/services/httpd/icons/sympa
/home/services/httpd/icons/sympa/*

%dir %{_sysconfdir}/sympa
%attr(640,sympa,sympa) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sympa/*.conf
%attr(640,sympa,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sympa
%attr(754,root,root) /etc/rc.d/init.d/sympa
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sympa.spec,v $
Revision 1.63  2006/09/08 18:03:54  glen
- rel 5 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.62  2006/04/14 16:20:40  glen
- rel 4

Revision 1.61  2006/03/13 22:48:19  glen
- more todos

Revision 1.60  2006/03/13 22:45:42  glen
- adapterized, added todos

Revision 1.59  2005/06/10 20:19:31  qboosh
- updated URLs (but only newer versions there)

Revision 1.58  2005/06/05 00:55:45  zbyniu
- BR: rpm-perlprov

Revision 1.57  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.56  2005/03/24 21:00:06  glen
- sort %verify attrs

Revision 1.55  2005/03/24 20:57:50  glen
- i suppose this way is proper

Revision 1.54  2005/01/07 09:42:29  radek
- release 3: two changes from romke at estrefa.pl
- Requires =~ s/apache/webserver=apache/
- added -wwsympa.fcgi-editsubsciber.fix.patch

Revision 1.53  2004/11/28 22:10:37  radek
- do not require the perl package, use the %__perl macro

Revision 1.52  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.51  2004/10/30 00:08:02  qboosh
- pl fix

Revision 1.50  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.49  2004/09/16 15:40:30  ankry
- trigger to change homedir, rel. 2

Revision 1.48  2004/09/15 21:07:05  ankry
- %userremove/%groupremove support
- changed sympa used homedir to %{home_s}
- some standardization

Revision 1.47  2004/08/31 09:06:33  blues
- security note - spec needs major update

Revision 1.46  2003/09/04 16:13:26  arekm
- updated to 3.4.4.3

Revision 1.45  2003/08/26 15:03:36  qboosh
- no // in paths, other cosmetics

Revision 1.44  2003/08/18 08:09:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.43  2003/06/20 12:19:17  ankry
- fixed md5

Revision 1.42  2003/06/20 12:14:49  ankry
- fixed src URL

Revision 1.41  2003/06/20 11:41:42  ankry
- fixed bogus changelog
- 3.4.4.1

Revision 1.40  2003/06/20 11:34:49  ankry
- fixed URL, md5

Revision 1.39  2003/05/28 13:02:08  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/02/13 14:06:54  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.36  2003/02/10 20:41:22  qboosh
- fixed some perms and missing dirs, more Requires(), cleanups

Revision 1.35  2002/12/07 18:52:01  orzech
- /home -> /home/services

Revision 1.34  2002/10/13 13:24:39  marcus
- rel.1.

Revision 1.33  2002/10/13 08:06:26  speedy
- fixed rm -f misssing
- release 1.0  [burn it babe]

Revision 1.32  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/10/02 05:37:47  speedy
- cleanup & fixed [db_file problem], release 0.10

Revision 1.30  2002/09/29 23:44:40  speedy
- release 0.9 - test

Revision 1.27  2002/09/29 16:52:26  speedy
- fixed %files

Revision 1.26  2002/08/17 21:04:02  qboosh
- better messages in pre, more Requires(), new %doc

Revision 1.25  2002/05/21 23:14:48  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/05/16 07:41:05  areq
- 3.3.5
- add ICONSDIR
- update pl templares to 3.3.5

Revision 1.23  2002/04/30 20:03:20  areq
- add PLD style /etc/rc.d/init.d/sympa and /etc/sysconfig/sympa

Revision 1.22  2002/04/28 20:55:20  areq
- add sympa-wws_templates-pl.tar.gz - raw polish translations wws_templates based
  on version 3.3.1 from eISP.pl <info@eisp.pl>
- sympa-wwslib-pl.patch

Revision 1.21  2002/04/27 21:50:07  areq
- add CONFIG=%{_sysconfdir}/sympa/sympa.conf
- Release 1.1

Revision 1.20  2002/04/19 17:14:57  areq
- start update to 3.3.4b.5

Revision 1.19  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/30 18:38:15  alchemyx
- ugly words back again. sorry.

Revision 1.16  2002/01/29 02:57:48  alchemyx
- one ugly word missed

Revision 1.15  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.14  2002/01/18 02:15:07  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/09/25 13:43:34  qboosh
- Prereq: /sbin/chkconfig
- call chkconfig --del on remove
- pl translations
- release 3

Revision 1.12  2001/07/26 13:43:21  agaran
- fixed group and maybe rcstags

Revision 1.11  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/06/21 07:29:03  yaro
- added requires perl-Digest-MD5
- need more work

Revision 1.8  2001/05/03 15:23:13  qboosh
- s/Corect/Correct/g

Revision 1.7  2001/04/17 12:19:18  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.6  2001/04/14 18:00:12  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.5  2001/03/10 17:12:01  mis
- updated (by autoup) to 3.0.3

Revision 1.4  2001/01/18 09:53:59  yaro
- fixed perl modules names
- fixed postin script
- need more fixes - in cgi module

Revision 1.3  2001/01/05 09:31:54  yaro
- moved config to /etc/sympa
- fixed prein script (need more fixes)
- fixed postin script

Revision 1.2  2001/01/05 08:12:59  yaro
- added makefile patch
- NYF

Revision 1.1  2001/01/05 07:07:31  yaro
- almost raw version (parsed by adapter)
